PROGRAM WinStart;

{$M 65520, 0, 655360}

USES
   Dos, FileUtils;

VAR
   F: File;
   FileCount: Byte;
   Files: Array [0..199] of String[12];
   Choice: String;

PROCEDURE GetFiles (FileDesc: PathStr);

  VAR
     FirstDir: Word;
     DirInfo: SearchRec;

  Begin
    FileCount := 0;
    FindFirst(FileDesc, AnyFile-Hidden, DirInfo);
    While (DosError = 0) do
      Begin
        Files[FileCount] := DirInfo.Name;
        INC(FileCount);
        FindNext(DirInfo)
      End
  End; {GetFiles}

Begin
  Randomize;
  If (ParamCount = 0) then
    Begin
      Writeln('Usage: WINSTART <windows-directory>');
      Writeln('     Example:  WINSTART C:\WINDOWS');
      Halt
    End;
  Assign(F, ParamStr(1)+'\STARTUP.BMP');
  {$I-}
  Reset(F);
  {$I+}
  If (IOResult = 0) then
    Begin
      Close(F);
      Erase(F)
    End;
  GetFiles(ParamStr(1)+'\*.BMP');
  Choice := ParamStr(1)+'\'+Files[Random(FileCount)];
  CopyFile(Choice, ParamStr(1)+'\STARTUP.BMP')
End.
